Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 31143)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 31400)
@@ -4533,7 +4533,7 @@
 <Text id="oaiserver-2">Use a text editor to open the file etc/oai.cfg located in your Greenstone installation folder. The oai.cfg configuration file contains properties that control the behaviour and features of your Greenstone OAI server.</Text> 
 <Text id="oaiserver-4">The basic properties to edit in order to get your collection served by the inbuilt OAI server are the <Format>repositoryName</Format>, <Format>repositoryID</Format> and <Format>oaicollection</Format>. Look up these properties in the file.</Text> 
-<Text id="oaiserver-5">For <Format>repositoryName</Format> and <Format>repositoryID</Format>, type in some values that make sense for your digital library. For example:</Text>
+<Text id="oaiserver-5">For <Format>repositoryName</Format> and <Format>repositoryID</Format>, type in some values that make sense for your digital library. Be aware that the structure of the repositoryID's value is like a domain name, and needs to be of the form of <Format>word-dot-extension</Format>. So, for example, you could have:</Text>
 <Format>repositoryName "Greenstone"<br />
-repositoryID "greenstone"</Format>
+repositoryID "greenstone.org"</Format>
 </NumberedItem>
 <NumberedItem>
@@ -5295,5 +5295,4 @@
 </Tutorial>
 </MajorVersion>
-<MajorVersion number="3">
 <Tutorial id="incremental_cmdline">
 <Title>
@@ -5308,5 +5307,5 @@
 <Text id="ic-00b">To gain the best level of understanding, this tutorial builds collections using the command line.</Text>
 <NumberedItem>
-<Text id="ic-01">In GLI, create a new collection called <i>Incremental With Manifests</i> and base it on the <i>Demo Collection</i>. The short name of this collection will become <i>incremen</i>, and this will be the name of the collection's folder on the file system.</Text>
+<Text id="ic-01">In GLI, create a new collection called <i>Incremental With Manifests</i> and base it on the <MajorVersion number="2">Greenstone demo collection</MajorVersion><MajorVersion number="3"><i>Demo Collection</i></MajorVersion>. The short name of this collection will become <i>incremen</i>, and this will be the name of the collection's folder on the file system.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5317,5 +5316,7 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ic-04">Close GLI if it's running. You can run the Greenstone server or not. In a text editor open your <Format>incremen</Format> collection's <Format>collectionConfig.xml</Format> file located in <Format>web\sites\localsite\collect\incremen\etc</Format>.</Text>
+<Text id="ic-04">Close GLI if it's running. You can run the Greenstone server or not. In a text editor, open your <Format>incremen</Format> collection's <MajorVersion number="2">collect.cfg</MajorVersion><MajorVersion number="3"><Format>collectionConfig.xml</Format></MajorVersion> file located in <Format><MajorVersion number="3">web\sites\localsite\</MajorVersion>collect\incremen\etc</Format>.</Text>
+<MajorVersion number="2"><Text id="ic-04d">You'll see that the <Format>OIDtype</Format> is set to <Format>filename</Format>, which means the identifiers generated and used by Greenstone for this collection's documents will be based on their filenames. This will allow us to refer to the files by name in the &lt;Filename&gt; elements of any manifest file we use for incrementally building the collection. These &lt;Filename&gt; elements will then identify which files are to be indexed if newly added, and which are to be re-indexed, as should happen if a document or its metadata has been edited. (For specifying which files are to be deleted, the document identifier will be used instead of the filename.)</Text></MajorVersion>
+<MajorVersion number="3">
 <Text id="ic-04a">Scroll down to the following line near the bottom:</Text>
 <Format>&lt;importOption name=&quot;OIDtype&quot; value=&quot;dirname&quot;/&gt;</Format>
@@ -5323,19 +5324,21 @@
 <Format>&lt;importOption name=&quot;OIDtype&quot; value=&quot;full_filename&quot;/&gt;</Format>
 <Text id="ic-04c">The above step sets the identifiers used by Greenstone for this collection's documents to be based on their full filenames. Doing so will allow us to refer to the files by name in the &lt;Filename&gt; elements of any manifest file we use for incrementally building the collection. These &lt;Filename&gt; elements will then identify which files are to be indexed if newly added, and which are to be re-indexed, as should happen if a document or its metadata has been edited. (For specifying which files are to be deleted, the document identifier will be used instead of the filename.)</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ic-05">Since this is the first time we're building our collection, we're going to do a complete build. And we'll use the command line to do so. Use the terminal to <Format>cd</Format> into your Greenstone 3 installation folder. For instance, if you have your Greenstone installed on Windows as "<i>Greenstone3</i>" within your account folder at <Format>C:\Users\you</Format>, then type the following in your terminal and hit Enter:</Text>
-<Format>cd C:\Users\you\Greenstone3</Format>
+</MajorVersion>
+</NumberedItem>
+<NumberedItem>
+<Text id="ic-05">Since this is the first time we're building our collection, we're going to do a complete build. And we'll use the command line to do so. Use the terminal to <Format>cd</Format> into your Greenstone 3 installation folder. For instance, if you have your Greenstone installed on Windows as "<i>Greenstone3</i>" within your account folder at <Format>C:\Users\me</Format>, then type the following in your terminal and hit Enter:</Text>
+<Format>cd C:\Users\me\Greenstone3</Format>
 <Text id="ic-05a">On Linux or Macs, the general command is the same, but the installed location would be different and the slashes go the other way. For example, if installed in <Format>/Users/me/Greenstone3</Format>, you'd type the following and hit Enter:</Text>
 <Format>cd /Users/me/Greenstone3</Format>
 <Text id="ic-05b">Now you're ready to set up the Greenstone environment in your terminal. On Windows, type the following into your terminal and hit Enter again:</Text>
-<Format>gs3-setup.bat</Format>
+<Format><MajorVersion number="2">setup.bat</MajorVersion><MajorVersion number="3">gs3-setup.bat</MajorVersion></Format>
 <Text id="ic-05c">On Linux and Mac:</Text>
-<Format>source ./gs3-setup.sh</Format>
-<Text id="ic-05d">In terminals, you'll need to hit Enter after each command in order to execute the command you just finished typing. We won't repeat this instruction any more. Just remember to hit Enter after every complete command entered into a terminal.</Text>
+<Format>source <MajorVersion number="2">./setup.bash</MajorVersion><MajorVersion number="3">./gs3-setup.sh</MajorVersion></Format>
+<Text id="ic-05d">When using a terminal, you'll need to hit Enter after each command in order to execute the command you just finished typing. We won't repeat this instruction any more. Just remember to hit Enter after every complete command entered into a terminal.</Text>
 <Text id="ic-05e">With the terminal now operating within your Greenstone installation folder, and with the Greenstone environment now set up and ready, type the following commands to do a complete build of your new collection. Although the command contains the word "rebuild" in it, since this is the first time the collection's being built, it will just build it.</Text>
-<Format>perl -S full-rebuild.pl -site localsite incremen</Format>
-<Text id="ic-05f">Preview the collection. If the Greenstone server is not running (as would happen if you had closed GLI and didn't start the standalone Greenstone server application), then run it from the Start Menu on Windows now. You could also run the Greenstone 3 server by running the <Format>gs3-server.bat</Format> script in the terminal if using a Windows, or running the <Format>gs3-server.sh</Format> script from a Linux/Mac terminal.</Text>
-<Text id="ic-05g">Leave the terminal (in which you have set up your Greenstone 3's environment) open for the rest of this tutorial exercise. We'll be using it throughout.</Text>
+<Format>perl -S full-rebuild.pl <MajorVersion number="3">-site localsite</MajorVersion> incremen</Format>
+<Text id="ic-05f">Preview the collection. If the Greenstone server is not running (as would happen if you had closed GLI and didn't start the standalone Greenstone server application), then run it from the Start Menu on Windows now. You could also run the Greenstone 3 server by running the <Format><MajorVersion number="2">gs2-server.bat</MajorVersion><MajorVersion number="3">gs3-server.bat</MajorVersion></Format> script in the terminal if using a Windows, or running the <Format><MajorVersion number="2">gs2-server.sh</MajorVersion><MajorVersion number="3">gs3-server.sh</MajorVersion></Format> script from a Linux/Mac terminal.</Text>
+<Text id="ic-05g">When previewing, try searching for "kouprey" and you should get results, as this term occurs in the document <i>b18ase</i>.</Text>
+<Text id="ic-05h">For the rest of this tutorial exercise, leave open the terminal in which you have set up your Greenstone 3's environment. We'll be using it throughout.</Text>
 </NumberedItem>
 <Heading>
@@ -5344,11 +5347,11 @@
 <NumberedItem>
 <Text id="ic-06a">If you want you can use GLI to drag and drop the <i>fb33fe</i>, <i>fb34fe</i> and <i>wb34te</i> folders, located in the <i>incr_build/more-files</i> subfolder of sample files, into your collection.</Text>
-<Text id="ic-06b">Alternatively, you can use a File Browser to copy the folders <i>fb33fe</i>, <i>fb34fe</i> and <i>wb34te</i>, located in the <i>incr_build/more-files</i> sample files subfolder, into your collection's <Format>import</Format> folder at <Format>web\sites\localsite\collect\incremen\import</Format>.</Text>
+<Text id="ic-06b">Alternatively, you can use a File Browser to copy the folders <i>fb33fe</i>, <i>fb34fe</i> and <i>wb34te</i>, located in the <i>incr_build/more-files</i> sample files subfolder, into your collection's <Format>import</Format> folder at <Format><MajorVersion number="3">web\sites\localsite\</MajorVersion>collect\incremen\import</Format>.</Text>
 <Text id="ic-06c">The above step will only have gathered 3 new documents into your collection. However, since the changes have not been built, previewing at this stage will make no difference.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="ic-07">We want to build just the newly added documents into the collection if possible, instead of rebuilding everything. Return to the terminal you had left open. This time, instead of running <Format>full-rebuild</Format>, we'll run the <Format>incremental-import</Format> and <Format>incremental-buildcol</Format> scripts to perform the two phases of a Greenstone build operation incrementally, these being the <i>import</i> and <i>buildcol</i> phases. Incremental building allows us to (re)build just what is necessary, rather than everything.</Text>
+<Text id="ic-07">We want to build just the newly added documents into the collection if possible, instead of rebuilding everything. This time, instead of running <Format>full-rebuild</Format>, we'll be running the <Format>incremental-import</Format> and <Format>incremental-buildcol</Format> scripts to perform the two phases of a Greenstone build operation incrementally, these being the <i>import</i> and <i>buildcol</i> phases. Incremental building allows us to (re)build just what is necessary, rather than everything.</Text>
 <Text id="ic-07a">Since we know exactly which files have been added and thus which files need to be built, we can write a manifest file specifying this. The manifest files used by the Greenstone incremental building process are just XML files that can be created and edited in a plain text editor, and which indicate which files need to be (re)processed by a Greenstone incremental build operation.</Text>
-<Text id="ic-07b">We've already prepared the manifest files we'll be using in this tutorial exercise for you. Use a File Browser to copy the <i>manifests</i> subfolder from the <i>incr_build</i> sample files into your <Format>incremen</Format> collection folder that's located inside your Greenstone 3 installation directory (at <Format>web\sites\localsite\collect\incremen</Format>).</Text>
+<Text id="ic-07b">We've already prepared the manifest files we'll be using in this tutorial exercise for you. Use a File Browser to copy the <i>manifests</i> subfolder from the <i>incr_build</i> sample files into your <Format>incremen</Format> collection folder that's located inside your Greenstone 3 installation directory (at <Format><MajorVersion number="3">web\sites\localsite\</MajorVersion>collect\incremen</Format>).</Text>
 <Text id="ic-07c">In a text editor, open the <i>add-new-files.xml</i> manifest file found in the newly copied <i>manifests</i> subfolder. Inspect the contents of this manifest file. It should contain:</Text>
 <Format>
@@ -5365,16 +5368,16 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ic-08">We can finally run the commands for the incremental build operation.</Text>
+<Text id="ic-08">Return to the terminal you had left open. We can finally run the commands for the incremental build operation.</Text>
 <Text id="ic-08a">Use the terminal to first run the incremental import stage:</Text>
-<Format>perl -S incremental-import.pl -manifest manifests/add-new-files.xml -site localsite incremen</Format>
+<Format>perl -S incremental-import.pl -manifest manifests/add-new-files.xml <MajorVersion number="3">-site localsite</MajorVersion> incremen</Format>
 <Text id="ic-08b">Once that finishes running, start off the incremental buildcol stage of the build process:</Text>
-<Format>perl -S incremental-buildcol.pl -activate -site localsite incremen</Format>
-<Text id="ic-08c">The incremental import command specifies the manifest file that Greenstone is to consult in order to work out which files should be processed and how (Indexed, Deleted or Reindexed). By the builcol stage, the specific files would then be ready for further incremental processing by the buildcol script. The activate flag to the incremental buildcol script tells Greenstone to (re-)activate the updated collection if the Greenstone 3 server is running.</Text>
+<Format>perl -S incremental-buildcol.pl -activate <MajorVersion number="3">-site localsite</MajorVersion> incremen</Format>
+<Text id="ic-08c">The incremental import command specifies the manifest file that Greenstone is to consult in order to work out which files should be processed and how (Indexed, Deleted or Reindexed). By the builcol stage, the specific files would then be ready for further incremental processing by the buildcol script. The activate flag to the incremental buildcol script tells Greenstone to (re-)activate the updated collection if the Greenstone server is running.</Text>
 </NumberedItem>
 <NumberedItem>
 <Text id="ic-09">Preview the collection either by running the Greenstone server application, if it isn't already, or by starting the Greenstone server from the command line with the command:</Text>
-<Format>ant start</Format>
-<Text id="ic-09a">(To stop the Greenstone server at any point, use the command <Format>ant stop</Format>. To stop-and-start it, you'd use <Format>ant restart</Format>.)</Text>
-<Text id="ic-09b">When the server is runnning, preview your library home page, located by default at <Format>http://localhost:8383/greenstone3/library</Format>. Visit the <i>Incremental with Manifests</i> collection and click on the Titles browser. There should be 3 additional documents now, and you should be able to search for terms that occur in them. For instance, try searching for "kouprey" and you should get results, as this term occurs in the newly added document <i>b18ase</i>.</Text>
+<Format><MajorVersion number="2">gsicontrol.bat web-start</MajorVersion><MajorVersion number="3">ant start</MajorVersion></Format>
+<Text id="ic-09a">(To stop the Greenstone server at any point, use the command <Format><MajorVersion number="2">gsicontrol.bat web-stop</MajorVersion><MajorVersion number="3">ant stop</MajorVersion></Format>. To stop-and-start it, you'd use <Format><MajorVersion number="2">gsicontrol.bat web-restart</MajorVersion><MajorVersion number="3">ant restart</MajorVersion></Format>.<MajorVersion number="2"> On Linux/Mac, use the equivalent script <i>gsicontrol.sh</i> for each command, e.g. <Format>./gsicontrol.sh web-start</Format>.</MajorVersion>)</Text>
+<Text id="ic-09b">When the server is runnning, preview your library home page, located by default at <Format><MajorVersion number="2">http://localhost:8282/greenstone/cgi-bin/library.cgi</MajorVersion><MajorVersion number="3">http://localhost:8383/greenstone3/library</MajorVersion></Format>. Visit the <i>Incremental with Manifests</i> collection and click on the Titles browser. There should be 3 additional documents now, and you should be able to search for terms that occur in them. For example, searching for "groundnuts" should return results, since this term occurs in the newly added document <i>fb33fe</i>.</Text>
 </NumberedItem>
 <Heading>
@@ -5393,17 +5396,17 @@
 </Format>
 <Text id="ic-10b">As per the above manifest file, the operation to be performed by an incremental build is a &lt;Delete&gt; operation on two documents. For the delete operation, the documents are not indicated by the &lt;Filename&gt; XML element, but by the &lt;OID&gt; element which specifies the object identifier. We need to use the OID here because we're telling Greenstone precisely what the identifiers of the documents are that we wish to have removed from our collection. The identifiers of every built document in a Greenstone collection are specified in the Identifier field of the document's <i>doc.xml</i> file located in the collection's <Format>archives</Format> folder. The <i>doc.xml</i> file is the Greenstone-specific XML format in which Greenstone stores documents already imported.</Text>
-<Text id="ic-10c">For instance, to find the identifier of the <i>b18ase.htm</i> document in your built collection, open up <Format>web/sites/localsite/collect/incremen/archives/b18ase-b.dir/doc.xml</Format> in a text editor. Then scroll down, looking for a piece of Greenstone extracted metadata labelled <i>Identifier</i>, which is the OID for this document:</Text>
+<Text id="ic-10c">For instance, to find the identifier of the <i>b18ase.htm</i> document in your built collection, open up <Format><MajorVersion number="3">web\sites\localsite\</MajorVersion>collect\incremen\archives\b18ase-b.dir\doc.xml</Format> in a text editor. Then scroll down, looking for a piece of Greenstone extracted metadata labelled <i>Identifier</i>, which is the OID for this document:</Text>
 <Format>&lt;Metadata name=&quot;Identifier&quot;&gt;b18ase-b18ase_htm&lt;/Metadata&gt;</Format>
 <Text id="ic-10d">The above value for the document identifier is what's used in the <i>delete-some-files.xml</i> manifest file to refer to this document. This document is one of two that are to be deleted as per the manifest file. Make sure to close the <i>doc.xml</i> file if you have it open.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="ic-11">So then, let's first physically remove these two documents from our collection, so that the contents of the import folder match what the manifest specifies: use a file browser to remove the folders <i>b18ase</i> and <i>fb33fe</i> from the collection's <Format>import</Format> folder.</Text>
+<Text id="ic-11">So then, let's first physically remove these two documents from our collection, so that the contents of the <Format>import</Format> folder match what the manifest specifies: use a file browser to remove the folders <i>b18ase</i> and <i>fb33fe</i> from the collection's <Format>import</Format> folder.</Text>
 </NumberedItem>
 <NumberedItem>
 <Text id="ic-12">Finally, let's incrementally rebuild the collection, specifying the manifest file that Greenstone should use this time to carry out the incremental build operation. As before, there are two steps.</Text>
 <Text id="ic-12a">First run the modified incremental import command:</Text>
-<Format>perl -S incremental-import.pl -manifest manifests/delete-some-files.xml -site localsite incremen</Format>
+<Format>perl -S incremental-import.pl -manifest manifests/delete-some-files.xml <MajorVersion number="3">-site localsite</MajorVersion> incremen</Format>
 <Text id="ic-12b">When that has finished running, run the same incremental buildcol command as before (it doesn't change):</Text>
-<Format>perl -S incremental-buildcol.pl -activate -site localsite incremen</Format>
+<Format>perl -S incremental-buildcol.pl -activate <MajorVersion number="3">-site localsite</MajorVersion> incremen</Format>
 </NumberedItem>
 <NumberedItem>
@@ -5436,25 +5439,24 @@
 <NumberedItem>
 <Text id="ic-17">Quit GLI. Optionally run the Greenstone server application.</Text>
-<Text id="ic-17a">In the above two steps, we've modified the text contents of fb34fe and the metadata associated with b20cre. Our mod-text-and-meta.xml manifest file already indicates that these two files are to be reindexed, so we can go ahead and incrementally rebuild the collection with this manifest file.</Text>
+<Text id="ic-17a">In the above two steps, we've modified the text contents of document <i>fb34fe</i> and the metadata associated with <i>b20cre</i>. Our mod-text-and-meta.xml manifest file already indicates that these two files are to be reindexed, so we can go ahead and incrementally rebuild the collection with this manifest file.</Text>
 </NumberedItem>
 <NumberedItem>
 <Text id="ic-18">Run the incremental rebuild operation to re-process just these two files. To do so, pass the <Format>mod-text-and-meta.xml</Format> manifest file this time.</Text>
 <Text id="ic-18a">First run:</Text>
-<Format>perl -S incremental-import.pl -manifest manifests/mod-text-and-meta.xml -site localsite incremen</Format>
+<Format>perl -S incremental-import.pl -manifest manifests/mod-text-and-meta.xml <MajorVersion number="3">-site localsite</MajorVersion> incremen</Format>
 <Text id="ic-18b">Followed by:</Text>
-<Format>perl -S incremental-buildcol.pl -activate -site localsite incremen</Format>
-</NumberedItem>
-<NumberedItem>
-<Text id="ic-19">Preview the collection once more. Check that the 2 documents contain your edits: try searching for any additional words you added. Also check the dc.Title metadata that you had modified can now be searched and appears as the title for the b20cre document in the Titles browsing classifier.</Text>
-</NumberedItem>
-<Text id="ic-20">In this tutorial, we looked at cutting down the amount of time spent on rebuilding a collection by manually controlling the rebuild operation so that it processes only what has changed. We do so by means of a manifest that specifies exactly what files need to be rebuilt and how (whether they need to be Indexed, Deleted or Reindexed). Greenstone also has an automatic incremental rebuild feature, sparing you the need to specify a manifest file in the import phase. Omitting the manifest argument in the above exercises activates this behaviour, however, this is typically slower, because Greenstone now needs to scan the entire <Format>import</Format> folder and compare this with the information in the <Format>archives</Format> folder to determine what has changed.</Text>
-<Text id="ic-21">Now repeat all the above exercises in the same sequence once again, but with a new collection called <i>autoincr</i> also based on the <i>Demo</i> collection. But this time, don't pass in the manifest file as an argument to the <Format>import.pl</Format> script. After each incremental build, preview your autoincr collection to check that the Browsing classifiers contain the expected documents and that searching returns the expected results.</Text>
+<Format>perl -S incremental-buildcol.pl -activate <MajorVersion number="3">-site localsite</MajorVersion> incremen</Format>
+</NumberedItem>
+<NumberedItem>
+<Text id="ic-19">Preview the collection once more. Check that the 2 documents contain your edits: try searching for any additional words you added. Also check the dc.Title metadata that you had modified can now be searched and appears as the title for the <i>b20cre</i> document in the Titles browsing classifier.</Text>
+</NumberedItem>
+<Text id="ic-20">In this tutorial, we looked at cutting down the amount of time spent on rebuilding a collection by manually controlling the rebuild operation so that it processes only what has changed. We do so by means of a manifest that specifies exactly which files need to be rebuilt and how (whether they need to be Indexed, Deleted or Reindexed). Greenstone also has an automatic incremental rebuild feature, sparing you the need to specify a manifest file in the <i>import</i> phase. Omitting the manifest argument in the above exercises activates this behaviour, however, this is typically slower, because Greenstone now needs to scan the entire <Format>import</Format> folder and compare this with the information in the <Format>archives</Format> folder to determine what has changed.</Text>
+<Text id="ic-21">Now repeat all the above exercises in the same sequence once again, but with a new collection called <i>autoincr</i> also based on the <i>Demo</i> collection. But this time, don't pass in the manifest file as an argument to the <Format>import.pl</Format> script. After each incremental build, preview your <i>autoincr</i> collection to check that the Browsing classifiers contain the expected documents and that searching returns the expected results.</Text>
 <Heading><Text id="ic-21">Incrementally indexing automatically</Text></Heading>
 <Text id="ic-22">Just as there is the command <Format>full-rebuild.pl</Format> to completely build a collection from scratch, there is also the command <Format>incremental-rebuild.pl</Format>. The final exercise you have just completed could equally have been achieved by running:</Text>
-<Format>perl -S incremental-rebuild.pl -site localsite autoincr</Format>
-<Text id="ic-23">For every collection, the import phase can be run incrementally (either using a manifest file or automatically), however, the ability for the buildcol phase to be incremental depends on the indexer in use. Lucene and Solr indexers support incremental indexing, but MG and MGPP do not. A warning is issued if you attempt to run the buildcol phase incrementally when the chosen indexer does not support this.</Text>
+<Format>perl -S incremental-rebuild.pl <MajorVersion number="3">-site localsite</MajorVersion> autoincr</Format>
+<Text id="ic-23">For every collection, the <i>import</i> phase can be run incrementally (either using a manifest file or automatically), however, the ability for the <i>buildcol</i> phase to be incremental depends on the indexer in use. Lucene and Solr indexers support incremental indexing, but the MG and MGPP indexers do not. A warning is issued if you attempt to run the <i>buildcol</i> phase incrementally when the chosen indexer does not support this.</Text>
 </Content>
 </Tutorial>
-</MajorVersion>
 <MajorVersion number="3">
 <Tutorial id="home_page">