Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 31400)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 31401)
@@ -4617,5 +4617,5 @@
 <NumberedItem>
 <Text id="gs-oai-4">For this exercise, we will be visiting the <b>Open Archives Validator</b>, for which your OAIserver needs to provide a valid email address. In a text editor, open up your greenstone installation's etc/oai.cfg file and set the value of the <Format>maintainer</Format> field to your email address.</Text> 
-<Text id="gs-oai-5">Note that by default, your Greenstone installation will make the <b>demo</b> collection available over OAI. This collection has been set up with a dummy (and invalid) email address for the <Format>creator</Format> and <Format>maintainer</Format> fields in the collection's collect.cfg file. You will need to open up collect/demo/etc/collect.cfg and clear the email values for the <Format>creator</Format> and <Format>maintainer</Format> properties (or else set these to a valid email again). Otherwise the OpenArchives validator will resort to using the <b>demo</b> collection's default dummy email to send the initial validation results to. Alternatively, you can simply remove the <b>demo</b> collection from being listed in the oai.cfg file's <Format>oaicollection</Format> property, which will cease to make the <b>demo</b> collection available over OAI.</Text>
+<Text id="gs-oai-5">Note that by default, your Greenstone installation will make the <b>demo</b> collection available over OAI. This collection has been set up with a dummy (and invalid) email address for the <Format>creator</Format> and <Format>maintainer</Format> fields in the collection's collect.cfg file. You will need to open up <Format>collect/demo/etc/collect.cfg</Format> and clear the email values for the <Format>creator</Format> and <Format>maintainer</Format> properties (or else set these to a valid email again). Otherwise the OpenArchives validator will resort to using the <b>demo</b> collection's default dummy email to send the initial validation results to. Alternatively, you can simply remove the <b>demo</b> collection from being listed in the oai.cfg file's <Format>oaicollection</Format> property, which will cease to make the <b>demo</b> collection available over OAI.</Text>
 <Text id="gs-oai-6">Note also that, if you wish to specify contact emails at a collection level, you will need to edit your greenstone installation's <Format>collect/&lt;collection-name&gt;/etc/collect.cfg</Format> file for those collections and set the <Format>creator</Format> and <Format>maintainer</Format> fields to the desired email address.</Text>
 </NumberedItem>
@@ -5310,12 +5310,12 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ic-02">Use GLI's Workspace view to navigate to this tutorial's sample files folder, <i>incr_build</i>. It will contain a folder named <i>import</i>. Open this, and drag and drop into your new collection the 3 subfolders within it.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ic-03">Do not build the collection in GLI. Instead, open a terminal. We'll be building and rebuilding manually, from the command-line. To open a terminal in Windows, press Ctrl+r and type <Format>cmd</Format> in the <b>Run</b> dialog that displays. To open a terminal on a Mac machine, click on menu <Path>Go &rarr; Utilities &rarr; Terminal</Path>.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ic-04">Close GLI if it's running. You can run the Greenstone server or not. In a text editor, open your <Format>incremen</Format> collection's <MajorVersion number="2">collect.cfg</MajorVersion><MajorVersion number="3"><Format>collectionConfig.xml</Format></MajorVersion> file located in <Format><MajorVersion number="3">web\sites\localsite\</MajorVersion>collect\incremen\etc</Format>.</Text>
-<MajorVersion number="2"><Text id="ic-04d">You'll see that the <Format>OIDtype</Format> is set to <Format>filename</Format>, which means the identifiers generated and used by Greenstone for this collection's documents will be based on their filenames. This will allow us to refer to the files by name in the &lt;Filename&gt; elements of any manifest file we use for incrementally building the collection. These &lt;Filename&gt; elements will then identify which files are to be indexed if newly added, and which are to be re-indexed, as should happen if a document or its metadata has been edited. (For specifying which files are to be deleted, the document identifier will be used instead of the filename.)</Text></MajorVersion>
+<Text id="ic-02">Use GLI's Workspace view to navigate to this tutorial's sample files folder, <i>incr_build</i>. It will contain a folder named <i>import</i>. Open this. In GLI's <AutoText key="glidict::GUI.Gather"/> panel, drag and drop the 3 subfolders into your new collection. (You can also carry out this step using a file browser to copy the contents of the <i>incr_build\import</i> sample files folder into <Format><MajorVersion number="3">web\sites\localsite\</MajorVersion>collect\incremen\import</Format>.) </Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="ic-03">Do not build the collection in GLI. We'll be building and rebuilding manually, from the command-line terminal. So close GLI. You can choose to run the Greenstone server at any stage, however.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="ic-04">In a text editor, open your <Format>incremen</Format> collection's <MajorVersion number="2">collect.cfg</MajorVersion><MajorVersion number="3"><Format>collectionConfig.xml</Format></MajorVersion> file located in <Format><MajorVersion number="3">web\sites\localsite\</MajorVersion>collect\incremen\etc</Format>.</Text>
+<MajorVersion number="2"><Text id="ic-04d">Change the <Format>OIDtype</Format> setting's value to <Format>full_filename</Format>, which means the identifiers generated and used by Greenstone for this collection's documents will be based on their full filenames (their filename appended to any containing directories relative to the collection's <Format>import</Format> folder). For any collection that you want to incrementally rebuild, make sure that it was similarly built with the <Format>OIDtype</Format> set to <Format>full_filename</Format>. A collection that is built with this setting will allow us to refer to the files by name in the &lt;Filename&gt; elements of any manifest file that we use to incrementally rebuild it. These &lt;Filename&gt; elements will then identify which files are to be indexed if newly added, and which are to be re-indexed, as should happen if a document or its metadata has been edited. (For specifying which files are to be deleted, the document identifier will be used instead of the filename.)</Text></MajorVersion>
 <MajorVersion number="3">
 <Text id="ic-04a">Scroll down to the following line near the bottom:</Text>
@@ -5327,5 +5327,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ic-05">Since this is the first time we're building our collection, we're going to do a complete build. And we'll use the command line to do so. Use the terminal to <Format>cd</Format> into your Greenstone 3 installation folder. For instance, if you have your Greenstone installed on Windows as "<i>Greenstone3</i>" within your account folder at <Format>C:\Users\me</Format>, then type the following in your terminal and hit Enter:</Text>
+<Text id="ic-05">Since this is the first time we're building our collection, we're going to do a complete build. And we'll use the command line to do so. Open a terminal. To open a terminal in Windows, press Ctrl+r and type <Format>cmd</Format> in the <b>Run</b> dialog that displays. To open a terminal on a Mac machine, click on menu <Path>Go &rarr; Utilities &rarr; Terminal</Path>. Use the terminal to <Format>cd</Format> into your Greenstone 3 installation folder. For instance, if you have your Greenstone installed on Windows as "<i>Greenstone3</i>" within your account folder at <Format>C:\Users\me</Format>, then type the following in your terminal and hit Enter:</Text>
 <Format>cd C:\Users\me\Greenstone3</Format>
 <Text id="ic-05a">On Linux or Macs, the general command is the same, but the installed location would be different and the slashes go the other way. For example, if installed in <Format>/Users/me/Greenstone3</Format>, you'd type the following and hit Enter:</Text>
@@ -5435,8 +5435,8 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ic-16">Next, quit the Greenstone server application if it was running, so that the Greenstone server is stopped. Start up GLI. Open the incremen collection and go to the Enrich panel. Add or modify <i>dc.Title</i> metadata for the <i>b20cre</i> document. Do not accidentally build the collection using GLI.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ic-17">Quit GLI. Optionally run the Greenstone server application.</Text>
+<Text id="ic-16"><MajorVersion number="3">Next, quit the Greenstone server application if it was running, so that the Greenstone server is stopped. </MajorVersion>Start up GLI. Open the incremen collection and go to the Enrich panel. Add or modify <i>dc.Title</i> metadata for the <i>b20cre</i> document. Do not accidentally build the collection using GLI.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="ic-17">Quit GLI.<MajorVersion number="3"> Optionally run the Greenstone server application.</MajorVersion></Text>
 <Text id="ic-17a">In the above two steps, we've modified the text contents of document <i>fb34fe</i> and the metadata associated with <i>b20cre</i>. Our mod-text-and-meta.xml manifest file already indicates that these two files are to be reindexed, so we can go ahead and incrementally rebuild the collection with this manifest file.</Text>
 </NumberedItem>