Index: /main/trunk/greenstone2/collect/demo/etc/collect.cfg
===================================================================
--- /main/trunk/greenstone2/collect/demo/etc/collect.cfg	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/etc/collect.cfg	(revision 31408)
@@ -1,4 +1,4 @@
-creator		greenstone@cs.waikato.ac.nz
-maintainer	greenstone@cs.waikato.ac.nz
+creator		greenstone_team@cs.waikato.ac.nz
+maintainer	greenstone_team@cs.waikato.ac.nz
 public		true
 
@@ -11,6 +11,10 @@
 levels	section document
 
+indexoptions	accentfold casefold stem
+
+defaultlevel	document
+
 plugin	GreenstoneXMLPlugin
-plugin	HTMLPlugin -description_tags 
+plugin	HTMLPlugin -description_tags
 # following two plugins not needed for the demo collection, but are useful to
 # include for tutorial purposes
@@ -31,20 +35,20 @@
 classify	List -sort_leaf_nodes_using dc.Title -metadata dls.Organization -bookshelf_type always -partition_type_within_level constant_size
 
-classify	List -metadata dls.Keyword -partition_type_within_level constant_size -buttonname Howto
+classify	List -metadata dls.Keyword -buttonname Howto -partition_type_within_level constant_size
 
 format CL4VList "<td>[link][icon][/link]</td><td>[link][dls.Keyword][/link]"
 
-format SearchVList "<td valign=top>[link][icon][/link]</td><td>{If}{[parent(All\': \'):Title],[parent(All\': \'):Title]:}[link][Title][/link]</td>"
+format SearchVList "<td valign=top>[link][icon][/link]</td><td>{If}{[parent(All\': \'):Title],[parent(All\': \'):Title]:}[link]{Or}{[dc.Title],[Title],Untitled}[/link] {If}{[dc.Identifier],([dc.Identifier])}</td>"
 
-format VList "<td valign=top>[link][icon][/link]</td><td valign=top>[highlight]{Or}{[Title],Untitled}[/highlight]{If}{[Date],<br><small><i>_textdate_[Date]</i></small>}{If}{[NumPages],<br><small><i>_textnumpages_[NumPages]</i></small>}{If}{[Source],<br><small><i>_textsource_[dmsafe:Source]</i></small>}</td>"
+format VList "<td valign=top>[link][icon][/link]</td><td valign=top>[highlight]{Or}{[dc.Title],[Title],Untitled} {If}{[dc.Identifier],([dc.Identifier])}[/highlight]{If}{[Date],<br><small><i>_textdate_[Date]</i></small>}{If}{[NumPages],<br><small><i>_textnumpages_[NumPages]</i></small>}{If}{[Source],<br><small><i>_textsource_[dmsafe:Source]</i></small>}</td>"
 
-format DocumentText "<h3>[Title]</h3>\\n\\n<p>[Text]"
+format DocumentText "<h3>{Or}{[dc.Title],[Title],Untitled}</h3>\\n\\n<p>[Text]"
 format DocumentImages true
 format DocumentButtons "Expand Text|Expand Contents|Highlight|Detach|Print"
 format DocumentSearchResultLinks true
 
-format HList "[link][highlight][Title][/highlight][/link]"
+format HList "[link][highlight]{Or}{[dc.Title],[Title],Untitled}[/highlight][/link]"
 
-format DocumentHeading "{Or}{[parent(Top):Title],[Title],untitled}<br>"
+format DocumentHeading "{Or}{[parent(Top):Title],[dc.Title],[Title],untitled}<br>"
 
 format SearchTypes "plain,form"
Index: /main/trunk/greenstone2/collect/demo/import/b17mie/metadata.xml
===================================================================
--- /main/trunk/greenstone2/collect/demo/import/b17mie/metadata.xml	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/import/b17mie/metadata.xml	(revision 31408)
@@ -2,13 +2,14 @@
 <!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
 <DirectoryMetadata>
-    <FileSet>
-        <FileName>.*</FileName>
-        <Description>
-            <Metadata name="dc.Title">Microlivestock - Little-Known Small Animals with a Promising Economic Future (b17mie)</Metadata>
-            <Metadata mode="accumulate" name="dc.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">introduce small animals and micro-livestock in your farm</Metadata>
-        </Description>
-    </FileSet>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata name="dc.Title">Microlivestock - Little-Known Small Animals with a Promising Economic Future</Metadata>
+			<Metadata mode="accumulate" name="dc.Language">English</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
+			<Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
+			<Metadata mode="accumulate" name="dls.Keyword">introduce small animals and micro-livestock in your farm</Metadata>
+			<Metadata mode="accumulate" name="dc.Identifier">b17mie</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>
Index: /main/trunk/greenstone2/collect/demo/import/b18ase/metadata.xml
===================================================================
--- /main/trunk/greenstone2/collect/demo/import/b18ase/metadata.xml	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/import/b18ase/metadata.xml	(revision 31408)
@@ -2,13 +2,15 @@
 <!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
 <DirectoryMetadata>
-    <FileSet>
-        <FileName>.*</FileName>
-        <Description>
-            <Metadata name="dc.Title">Little Known Asian Animals With a Promising Economic Future (b18ase)</Metadata>
-            <Metadata mode="accumulate" name="dc.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">introduce little-known Asian farm animals with a promising future</Metadata>
-        </Description>
-    </FileSet>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata name="dc.Title">Little Known Asian Animals With a Promising Economic Future</Metadata>
+			<Metadata mode="accumulate" name="dc.Language">English</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
+			<Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
+			<Metadata mode="accumulate" name="dls.Keyword">introduce little-known Asian farm animals with a promising future</Metadata>
+		
+			<Metadata mode="accumulate" name="dc.Identifier">b18ase</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>
Index: /main/trunk/greenstone2/collect/demo/import/b20cre/metadata.xml
===================================================================
--- /main/trunk/greenstone2/collect/demo/import/b20cre/metadata.xml	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/import/b20cre/metadata.xml	(revision 31408)
@@ -2,12 +2,13 @@
 <!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
 <DirectoryMetadata>
-    <FileSet>
-        <FileName>.*</FileName>
-        <Description>
-            <Metadata name="dc.Title">Managing Tropical Animal Resources - Crocodiles as a Resource for the Tropics (b20cre)</Metadata>
-            <Metadata mode="accumulate" name="dc.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-        </Description>
-    </FileSet>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata name="dc.Title">Managing Tropical Animal Resources - Crocodiles as a Resource for the Tropics</Metadata>
+			<Metadata mode="accumulate" name="dc.Language">English</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
+			<Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
+			<Metadata mode="accumulate" name="dc.Identifier">b20cre</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>
Index: /main/trunk/greenstone2/collect/demo/import/b21wae/metadata.xml
===================================================================
--- /main/trunk/greenstone2/collect/demo/import/b21wae/metadata.xml	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/import/b21wae/metadata.xml	(revision 31408)
@@ -2,14 +2,15 @@
 <!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
 <DirectoryMetadata>
-    <FileSet>
-        <FileName>.*</FileName>
-        <Description>
-            <Metadata name="dc.Title">The Water Buffalo: New Prospects For An Underutilized Animal (1984) (b21wae)</Metadata>
-            <Metadata mode="accumulate" name="dc.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Cattle</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">utilize the Water Buffalo more effectively</Metadata>
-        </Description>
-    </FileSet>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata name="dc.Title">The Water Buffalo: New Prospects For An Underutilized Animal (1984)</Metadata>
+			<Metadata mode="accumulate" name="dc.Language">English</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Cattle</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
+			<Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
+			<Metadata mode="accumulate" name="dls.Keyword">utilize the Water Buffalo more effectively</Metadata>
+			<Metadata mode="accumulate" name="dc.Identifier">b21wae</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>
Index: /main/trunk/greenstone2/collect/demo/import/b22bue/metadata.xml
===================================================================
--- /main/trunk/greenstone2/collect/demo/import/b22bue/metadata.xml	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/import/b22bue/metadata.xml	(revision 31408)
@@ -2,13 +2,14 @@
 <!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
 <DirectoryMetadata>
-    <FileSet>
-        <FileName>.*</FileName>
-        <Description>
-            <Metadata name="dc.Title">Butterfly Farming in Papua New Guinea (b22bue)</Metadata>
-            <Metadata mode="accumulate" name="dc.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">start a butterfly farm</Metadata>
-        </Description>
-    </FileSet>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata name="dc.Title">Butterfly Farming in Papua New Guinea</Metadata>
+			<Metadata mode="accumulate" name="dc.Language">English</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
+			<Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
+			<Metadata mode="accumulate" name="dls.Keyword">start a butterfly farm</Metadata>
+			<Metadata mode="accumulate" name="dc.Identifier">b22bue</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>
Index: /main/trunk/greenstone2/collect/demo/import/ec158e/metadata.xml
===================================================================
--- /main/trunk/greenstone2/collect/demo/import/ec158e/metadata.xml	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/import/ec158e/metadata.xml	(revision 31408)
@@ -2,13 +2,14 @@
 <!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
 <DirectoryMetadata>
-    <FileSet>
-        <FileName>.*</FileName>
-        <Description>
-            <Metadata name="dc.Title">The Courier - NÂ°158 - July - August 1996 Dossier Communication and the media - Country report Cape Verde (ec158e)</Metadata>
-            <Metadata mode="accumulate" name="dc.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Communication, Information and Documentation|Communication, telecommunication, mass communication, mass media, film-making</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
-        </Description>
-    </FileSet>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata name="dc.Title">The Courier - NÂ°158 - July - August 1996 Dossier Communication and the media - Country report Cape Verde</Metadata>
+			<Metadata mode="accumulate" name="dc.Language">English</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Communication, Information and Documentation|Communication, telecommunication, mass communication, mass media, film-making</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
+			<Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
+			<Metadata mode="accumulate" name="dc.Identifier">ec158e</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>
Index: /main/trunk/greenstone2/collect/demo/import/ec159e/metadata.xml
===================================================================
--- /main/trunk/greenstone2/collect/demo/import/ec159e/metadata.xml	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/import/ec159e/metadata.xml	(revision 31408)
@@ -2,13 +2,14 @@
 <!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
 <DirectoryMetadata>
-    <FileSet>
-        <FileName>.*</FileName>
-        <Description>
-            <Metadata name="dc.Title">The Courier - NÂ°159 - Sept- Oct 1996 Dossier Investing in People Country Reports: Mali ; Western Samoa (ec159e)</Metadata>
-            <Metadata mode="accumulate" name="dc.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Society, Culture, Community, Woman, Youth, Population|Social sciences, sociology (works comprising several subgroups) incl. participatory research and training</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
-        </Description>
-    </FileSet>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata name="dc.Title">The Courier - NÂ°159 - Sept- Oct 1996 Dossier Investing in People Country Reports: Mali ; Western Samoa</Metadata>
+			<Metadata mode="accumulate" name="dc.Language">English</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Society, Culture, Community, Woman, Youth, Population|Social sciences, sociology (works comprising several subgroups) incl. participatory research and training</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
+			<Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
+			<Metadata mode="accumulate" name="dc.Identifier">ec159e</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>
Index: /main/trunk/greenstone2/collect/demo/import/ec160e/metadata.xml
===================================================================
--- /main/trunk/greenstone2/collect/demo/import/ec160e/metadata.xml	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/import/ec160e/metadata.xml	(revision 31408)
@@ -2,13 +2,14 @@
 <!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
 <DirectoryMetadata>
-    <FileSet>
-        <FileName>.*</FileName>
-        <Description>
-            <Metadata name="dc.Title">The Courier - NÂ°160 - Nov - Dec 1996 - Dossier Habitat - Country reports: Fiji , Tonga (ec160e)</Metadata>
-            <Metadata mode="accumulate" name="dc.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc.</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
-        </Description>
-    </FileSet>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata name="dc.Title">The Courier - NÂ°160 - Nov - Dec 1996 - Dossier Habitat - Country reports: Fiji , Tonga</Metadata>
+			<Metadata mode="accumulate" name="dc.Language">English</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc.</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
+			<Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
+			<Metadata mode="accumulate" name="dc.Identifier">ec160e</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>
Index: /main/trunk/greenstone2/collect/demo/import/fb33fe/metadata.xml
===================================================================
--- /main/trunk/greenstone2/collect/demo/import/fb33fe/metadata.xml	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/import/fb33fe/metadata.xml	(revision 31408)
@@ -2,13 +2,14 @@
 <!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
 <DirectoryMetadata>
-    <FileSet>
-        <FileName>.*</FileName>
-        <Description>
-            <Metadata name="dc.Title">Farming snails 1: Learning about snails; Building a pen; Food and shelter plants (fb33fe)</Metadata>
-            <Metadata mode="accumulate" name="dc.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Agriculture and Food Processing|Better Farming series of FAO and INADES - 46 booklets</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc.</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">FAO Better Farming series</Metadata>
-         </Description>
-    </FileSet>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata name="dc.Title">Farming snails 1: Learning about snails; Building a pen; Food and shelter plants</Metadata>
+			<Metadata mode="accumulate" name="dc.Language">English</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Agriculture and Food Processing|Better Farming series of FAO and INADES - 46 booklets</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc.</Metadata>
+			<Metadata mode="accumulate" name="dls.Organization">FAO Better Farming series</Metadata>
+			<Metadata mode="accumulate" name="dc.Identifier">fb33fe</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>
Index: /main/trunk/greenstone2/collect/demo/import/fb34fe/metadata.xml
===================================================================
--- /main/trunk/greenstone2/collect/demo/import/fb34fe/metadata.xml	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/import/fb34fe/metadata.xml	(revision 31408)
@@ -2,14 +2,15 @@
 <!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
 <DirectoryMetadata>
-    <FileSet>
-        <FileName>.*</FileName>
-        <Description>
-            <Metadata name="dc.Title">Farming snails 2: Choosing snails; Care and harvesting; Further improvement (fb34fe)</Metadata>
-            <Metadata mode="accumulate" name="dc.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Agriculture and Food Processing|Better Farming series of FAO and INADES - 46 booklets</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc.</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">FAO Better Farming series</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">farm snails</Metadata>
-        </Description>
-    </FileSet>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata name="dc.Title">Farming snails 2: Choosing snails; Care and harvesting; Further improvement</Metadata>
+			<Metadata mode="accumulate" name="dc.Language">English</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Agriculture and Food Processing|Better Farming series of FAO and INADES - 46 booklets</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc.</Metadata>
+			<Metadata mode="accumulate" name="dls.Organization">FAO Better Farming series</Metadata>
+			<Metadata mode="accumulate" name="dls.Keyword">farm snails</Metadata>
+			<Metadata mode="accumulate" name="dc.Identifier">fb34fe</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>
Index: /main/trunk/greenstone2/collect/demo/import/wb34te/metadata.xml
===================================================================
--- /main/trunk/greenstone2/collect/demo/import/wb34te/metadata.xml	(revision 31407)
+++ /main/trunk/greenstone2/collect/demo/import/wb34te/metadata.xml	(revision 31408)
@@ -2,13 +2,14 @@
 <!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
 <DirectoryMetadata>
-    <FileSet>
-        <FileName>.*</FileName>
-        <Description>
-            <Metadata name="dc.Title">Development in practice: Toward Gender Equality (wb34te)</Metadata>
-            <Metadata mode="accumulate" name="dc.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dc.Subject">Women, gender and development, women&apos;s organizations</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">World Bank</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">achieve gender equality</Metadata>
-        </Description>
-    </FileSet>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata name="dc.Title">Development in practice: Toward Gender Equality</Metadata>
+			<Metadata mode="accumulate" name="dc.Language">English</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Women, gender and development, women's organizations</Metadata>
+			<Metadata mode="accumulate" name="dls.Organization">World Bank</Metadata>
+			<Metadata mode="accumulate" name="dls.Keyword">achieve gender equality</Metadata>
+			<Metadata mode="accumulate" name="dc.Identifier">wb34te</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>